Method: billingAccounts.billingAccountLicenseConfigs.list

מפרטת את כל BillingAccountLicenseConfigs בחשבון לחיוב נתון.

בקשת HTTP


GET https://discoveryengine.googleapis.com/v1alpha/{parent=billingAccounts/*}/billingAccountLicenseConfigs

כתובות ה-URL כתובות בתחביר של gRPC Transcoding.

פרמטרים של נתיב

פרמטרים
parent

string

חובה. פורמט: billingAccounts/{billingAccount}

פרמטרים של שאילתה

פרמטרים
pageSize

integer

זה שינוי אופציונלי. לא נתמך.

pageToken

string

זה שינוי אופציונלי. לא נתמך.

גוף הבקשה

גוף הבקשה צריך להיות ריק.

גוף התשובה

הודעת תגובה לשיטה LicenseConfigService.ListBillingAccountLicenseConfigs.

אם הפעולה מצליחה, גוף התגובה מכיל נתונים במבנה הבא:

ייצוג ב-JSON
{
  "billingAccountLicenseConfigs": [
    {
      object (BillingAccountLicenseConfig)
    }
  ],
  "nextPageToken": string
}
שדות
billingAccountLicenseConfigs[]

object (BillingAccountLicenseConfig)

כל BillingAccountLicenseConfigs בחשבון לחיוב הנתון.

nextPageToken

string

טוקן שאפשר לשלוח כ-ListBillingAccountLicenseConfigsRequest.page_token כדי לאחזר את הדף הבא. אם משמיטים את השדה הזה, לא יופיעו דפים נוספים.

היקפי הרשאות

נדרש אחד מהיקפי ההרשאות הבאים של OAuth:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/discoveryengine.readwrite
  • https://www.googleapis.com/auth/discoveryengine.serving.readwrite

ניתן למצוא מידע נוסף כאן: Authentication Overview.

הרשאות IAM

נדרשת הרשאת IAM הבאה במשאב parent:

  • discoveryengine.billingAccountLicenseConfigs.list

מידע נוסף מופיע במאמרי העזרה בנושא IAM.